package com.bytedance.android.livesdk.feed;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public final class LiveDrawerConfig implements Serializable {
    @c(LIZ = "enable_drawer_cell_show_avatar")
    public final boolean drawerCellShowAvatar;
    @c(LIZ = "enable_drawer_cell_show_name")
    public final boolean drawerCellShowName;
    @c(LIZ = "enable_drawer_go_live_animation")
    public final boolean drawerGoLiveAnimation;
    @c(LIZ = "drawer_refresh_interval")
    public final long drawerRefreshInterval = 1;
    @c(LIZ = "enable_drawer_bottom_left_label")
    public final boolean enableDrawerBottomLeftLabel;
    @c(LIZ = "enable_drawer_repeat_jump")
    public final boolean enableDrawerRepeatJump;
    @c(LIZ = "enable_full_entrance")
    public final boolean enableFullEntrance;
    @c(LIZ = "enable_guide_animation")
    public final boolean enableGuideAnimation;
    @c(LIZ = "enable_return_btn")
    public final boolean enableReturnBtn;
    @c(LIZ = "guide_animation_show_time")
    public final int guideAnimationShowTime = 20;
    @c(LIZ = "guide_animation_total_count")
    public final int guideAnimationTotalCount = 5;
    @c(LIZ = "enable_open_drawer_return")
    public final boolean openDrawerReturn = true;

    static {
        Covode.recordClassIndex(15958);
    }

    public final boolean getDrawerCellShowAvatar() {
        return this.drawerCellShowAvatar;
    }

    public final boolean getDrawerCellShowName() {
        return this.drawerCellShowName;
    }

    public final long getDrawerRefreshInterval() {
        return this.drawerRefreshInterval;
    }

    public final boolean getEnableDrawerRepeatJump() {
        return this.enableDrawerRepeatJump;
    }

    public final boolean getEnableFullEntrance() {
        return this.enableFullEntrance;
    }

    public final int getGuideAnimationShowTime() {
        return this.guideAnimationShowTime;
    }

    public final int getGuideAnimationTotalCount() {
        return this.guideAnimationTotalCount;
    }

    public final boolean enableDrawerBottomLeftLabel() {
        if (!this.enableDrawerBottomLeftLabel || !this.enableFullEntrance) {
            return false;
        }
        return true;
    }

    public final boolean enableGoLiveAnimation() {
        if (!this.drawerGoLiveAnimation || !this.enableFullEntrance) {
            return false;
        }
        return true;
    }

    public final boolean enableGuideAnimation() {
        if (!this.enableGuideAnimation || !this.enableFullEntrance) {
            return false;
        }
        return true;
    }

    public final boolean enableReturnBtn() {
        if (!this.enableReturnBtn || !this.enableFullEntrance) {
            return false;
        }
        return true;
    }

    public final boolean openDrawerReturn() {
        if (!this.openDrawerReturn || !this.enableFullEntrance) {
            return false;
        }
        return true;
    }
}
